Closed Bug 319701 Opened 14 years ago Closed 14 years ago

Move Lightning to the decorated views

Categories

(Calendar :: Lightning Only, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED
Lightning 0.1

People

(Reporter: jminta, Assigned: jminta)

References

Details

Attachments

(1 file, 1 obsolete file)

The decorated views that are going into Sunbird soon would also be beneficial to have in Lightning.  They'd enable us to resolve several blockers.  It does however, need the calendar.week.start pref to be set to something in order to work.
Attached patch preliminary patch (obsolete) — Splinter Review
Sticking this here for now.  Obviously, it can't go in or get review until we get the decorated views in.
Assignee: dmose → jminta
Status: NEW → ASSIGNED
This patch moves Lightning to the decorated views.  Since all the views now use the same call (goToDay) this removes the need for there to be a showCalendar function and allows us to simplify the view switching code significantly.
Attachment #205394 - Attachment is obsolete: true
Attachment #207042 - Flags: first-review?(dmose)
Comment on attachment 207042 [details] [diff] [review]
move to decorated views

>? mozilla/calendar/base/src/calAlarm.js
>Index: mozilla/calendar/lightning/jar.mn
>===================================================================
>RCS file: /cvsroot/mozilla/calendar/lightning/jar.mn,v
>retrieving revision 1.32
>diff -p -U8 -r1.32 jar.mn
>--- mozilla/calendar/lightning/jar.mn	19 Dec 2005 23:50:10 -0000	1.32
>+++ mozilla/calendar/lightning/jar.mn	29 Dec 2005 01:33:00 -0000
>@@ -28,16 +28,22 @@ calendar.jar:
>   content/calendar/calendarCreation.js		(/calendar/resources/content/calendarCreation.js) 
>   content/calendar/calendarUtils.js		(/calendar/resources/content/calendarUtils.js)
>   content/calendar/calErrorPrompt.xul           (/calendar/base/content/calErrorPrompt.xul) 
>   content/calendar/datetimepickers/datetimepickers.css (/calendar/resources/content/datetimepickers/datetimepickers.css)
>   content/calendar/datetimepickers/datetimepickers.xml (/calendar/resources/content/datetimepickers/datetimepickers.xml)
>   content/calendar/datetimepickers/minimonth.css (/calendar/resources/content/datetimepickers/minimonth.css)
>   content/calendar/datetimepickers/minimonth.xml (/calendar/resources/content/datetimepickers/minimonth.xml)
>   content/calendar/calendar-dialog-utils.js	(/calendar/base/content/calendar-dialog-utils.js)
>+  content/calendar/calendar-decorated-base.xml (/calendar/base/content/calendar-decorated-base.xml)
>+  content/calendar/calendar-decorated-day-view.xml (/calendar/base/content/calendar-decorated-day-view.xml)
>+  content/calendar/calendar-decorated-week-view.xml (/calendar/base/content/calendar-decorated-week-view.xml)
>+  content/calendar/calendar-decorated-multiweek-view.xml (/calendar/base/content/calendar-decorated-multiweek-view.xml)

No need to put in the multiweek view, since there's no mechanism for using it just yet.  I'm still trying to decide if I think that having separate multiweek and month views is really the right UI paradigm, given that these are esssentially the same.

>Index: mozilla/calendar/lightning/content/messenger-overlay-sidebar.js
>===================================================================
>RCS file: /cvsroot/mozilla/calendar/lightning/content/messenger-overlay-sidebar.js,v
>retrieving revision 1.26
>diff -p -U8 -r1.26 messenger-overlay-sidebar.js
>--- mozilla/calendar/lightning/content/messenger-overlay-sidebar.js	23 Dec 2005 21:58:43 -0000	1.26
>+++ mozilla/calendar/lightning/content/messenger-overlay-sidebar.js	29 Dec 2005 01:33:01 -0000
>
> [...]
>
>+function switchView(type) {

If this function were named showCalendarView(), it seems like that would be a more accurate description of what it does.

The only other thing I'd like to see fixed is the all the extra whitespace between the arrows and below the day/week decorations.

r=dmose with those things fixed

Nice work!
Attachment #207042 - Flags: first-review?(dmose) → first-review+
patch checked in
Status: ASSIGNED → RESOLVED
Closed: 14 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.